cl.cromer.estructuras

## Class Grafo

- java.lang.Object
- - cl.cromer.estructuras.Grafo

    public class Grafo
    extends java.lang.Object

Clase de grafos. Se utiliza dos algoritmos para dirigido y no dirigido.

Author:
  Chris Cromer

### Nested Class Summary

Nested Classes
`static interface` `Grafo.DFSVisitor<T>` A spanning tree visitor callback interface
`static class` `Grafo.Dirigido<T>`
`static class` `Grafo.Edge<T>` A directed, weighted edge in a graph
`static class` `Grafo.NoDirigido<T>` Author: Keith Schwarz (htiek@cs.stanford.edu)
`static class` `Grafo.Tipos` Esta clase contiene los arbolTipo de grafoNoDirigido.
`static class` `Grafo.Vertex<T>` A named graph vertex with optional data.
`static interface` `Grafo.Visitor<T>` A graph visitor interface.
`static interface` `Grafo.VisitorEX<T,E extends java.lang.Exception>` A graph visitor interface that can throw an exception during a visit callback.

### Constructor Summary

Constructors
Constructor and Description
`Grafo()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Grafo

    public Grafo()